List machine variables
curl --request GET \
--url https://api.demo.cula.earth/tracking/v1/machine-variables \
--header 'Authorization: Bearer <token>' \
--header 'Cula-Organisation-Id: <cula-organisation-id>'import requests
url = "https://api.demo.cula.earth/tracking/v1/machine-variables"
headers = {
"Cula-Organisation-Id": "<cula-organisation-id>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {
'Cula-Organisation-Id': '<cula-organisation-id>',
Authorization: 'Bearer <token>'
}
};
fetch('https://api.demo.cula.earth/tracking/v1/machine-variables', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.demo.cula.earth/tracking/v1/machine-variables",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Cula-Organisation-Id: <cula-organisation-id>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.demo.cula.earth/tracking/v1/machine-variables"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Cula-Organisation-Id", "<cula-organisation-id>")
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.demo.cula.earth/tracking/v1/machine-variables")
.header("Cula-Organisation-Id", "<cula-organisation-id>")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.demo.cula.earth/tracking/v1/machine-variables")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Cula-Organisation-Id"] = '<cula-organisation-id>'
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": "mvr_01kae7a2kpkcqwy7fwk2fft11h",
"name": "retentate outlet flow rate",
"unit": "m3/h",
"machine_id": "mch_01kqzcjrpyf27tge7875y20mmr",
"machine_data_source_id": "mds_01kqzcjrpyf27tge7875y20mmr",
"value_type": "float",
"timestamp_precision": "seconds",
"factor": 1
}
],
"pagination": {
"starting_after": null,
"limit": 10,
"has_more": false,
"next_cursor": null
}
}{
"code": "bad_request",
"message": "The field limit must not be greater than 50."
}{
"code": "unauthorized",
"message": "Invalid or expired token"
}{
"code": "too_many_requests",
"message": "Too many requests. Try again after the time given in the Retry-After header."
}{
"code": "internal_server_error",
"message": "Internal server error."
}Machine Variables
List machine variables
GET
/
machine-variables
List machine variables
curl --request GET \
--url https://api.demo.cula.earth/tracking/v1/machine-variables \
--header 'Authorization: Bearer <token>' \
--header 'Cula-Organisation-Id: <cula-organisation-id>'import requests
url = "https://api.demo.cula.earth/tracking/v1/machine-variables"
headers = {
"Cula-Organisation-Id": "<cula-organisation-id>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {
'Cula-Organisation-Id': '<cula-organisation-id>',
Authorization: 'Bearer <token>'
}
};
fetch('https://api.demo.cula.earth/tracking/v1/machine-variables', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.demo.cula.earth/tracking/v1/machine-variables",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Cula-Organisation-Id: <cula-organisation-id>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.demo.cula.earth/tracking/v1/machine-variables"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Cula-Organisation-Id", "<cula-organisation-id>")
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.demo.cula.earth/tracking/v1/machine-variables")
.header("Cula-Organisation-Id", "<cula-organisation-id>")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.demo.cula.earth/tracking/v1/machine-variables")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Cula-Organisation-Id"] = '<cula-organisation-id>'
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": "mvr_01kae7a2kpkcqwy7fwk2fft11h",
"name": "retentate outlet flow rate",
"unit": "m3/h",
"machine_id": "mch_01kqzcjrpyf27tge7875y20mmr",
"machine_data_source_id": "mds_01kqzcjrpyf27tge7875y20mmr",
"value_type": "float",
"timestamp_precision": "seconds",
"factor": 1
}
],
"pagination": {
"starting_after": null,
"limit": 10,
"has_more": false,
"next_cursor": null
}
}{
"code": "bad_request",
"message": "The field limit must not be greater than 50."
}{
"code": "unauthorized",
"message": "Invalid or expired token"
}{
"code": "too_many_requests",
"message": "Too many requests. Try again after the time given in the Retry-After header."
}{
"code": "internal_server_error",
"message": "Internal server error."
}Authorizations
OAuth 2.0 client credentials. Exchange your client_id and client_secret for an access token scoped to the organisation that provides data access.
Headers
ID of the organisation the request operates on behalf of (e.g. org_...). Must be an organisation the API client has access to.
Example:
"org_01k83mfmhgchya944v86ryvhpq"
Query Parameters
Maximum number of items to return.
Required range:
1 <= x <= 50Deprecated: use machine_data_source_id. Filter by the mch_ ID of the machine the variables belong to.
Filter by the ID of the machine data source the variables belong to.
Filter by the ID of the site the variables belong to.
Cursor representing the item ID after which to start listing results.
Was this page helpful?